%define amversion 1.13
%define _requires_exceptions perl(Automake::.*)
%define _provides_exceptions perl(Automake::.*)

%define docheck 0
%{?_without_check: %global docheck 0}

Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	1.13.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Other
Source0:	http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
URL:		http://www.gnu.org/software/automake/
BuildArch:	noarch

Requires:	autoconf
BuildRequires:	autoconf
BuildRequires:	texinfo
Conflicts:	automake1.5
Provides:	automake1.9 = %{version}-%{release}
Obsoletes:	automake1.9
Provides:	automake1.8 = %{version}-%{release}
Obsoletes:	automake1.8
Requires(post):	info-install
Requires(preun): info-install
Requires(post):	update-alternatives
Requires(preun): update-alternatives

# tests need these
%if %docheck
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	tetex-latex
BuildRequires:	emacs
BuildRequires:	dejagnu
BuildRequires:	gcc-java
BuildRequires:	python
%endif

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q -n automake-%{version}

%build
%configure2_5x --build=%{_host}
%make

%check
%if %docheck
# (Abel) reqd2.test tries to make sure automake won't work if ltmain.sh
# is not present. But automake behavior changed, now it can handle missing
# libtool file as well, so this test is bogus.
sed -e 's!t/reqd2.sh!!g' Makefile
make check	# VERBOSE=1
%endif

%install
rm -rf %{buildroot}
%makeinstall_std

# provide -1.8 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.8
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.8

# provide -1.9 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.9
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.9

rm -f %{buildroot}/%{_infodir}/*
install -m 644 doc/%{name}.info* %{buildroot}/%{_infodir}/

mkdir -p %{buildroot}%{_datadir}/aclocal

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8
  update-alternatives --remove automake %{_bindir}/automake-1.9
fi

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%files
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.13.1-2.mga3
+ Revision: 346672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 fwang <fwang> 1.13.1-1.mga3
+ Revision: 337361
- new version 1.13.1

* Sat Dec 29 2012 guillomovitch <guillomovitch> 1.13-2.mga3
+ Revision: 336047
- silent automatic dependencies for private perl modules

* Sat Dec 29 2012 guillomovitch <guillomovitch> 1.13-1.mga3
+ Revision: 336039
- new version

* Sun Dec 16 2012 fwang <fwang> 1.12.6-1.mga3
+ Revision: 331432
- new version 1.12.6

* Sun Nov 18 2012 fwang <fwang> 1.12.5-1.mga3
+ Revision: 319247
- new version 1.12.5

* Wed Sep 19 2012 fwang <fwang> 1.12.4-1.mga3
+ Revision: 296009
- new version 1.12.4

* Fri Aug 17 2012 fwang <fwang> 1.12.3-1.mga3
+ Revision: 281724
- new version 1.12.3

* Tue Jul 10 2012 fwang <fwang> 1.12.2-1.mga3
+ Revision: 269196
- update file list
- new version 1.12.2

* Sat Jun 02 2012 fwang <fwang> 1.12.1-1.mga3
+ Revision: 253228
- new version 1.12.1

* Thu May 31 2012 fwang <fwang> 1.12-2.mga3
+ Revision: 251934
- rebuild for new perl

* Tue May 29 2012 shlomif <shlomif> 1.12-1.mga3
+ Revision: 248814
- New version - 1.12

* Fri Feb 03 2012 fwang <fwang> 1.11.3-1.mga2
+ Revision: 204197
- new version 1.11.3

* Thu Dec 22 2011 fwang <fwang> 1.11.2-1.mga2
+ Revision: 185967
- new version 1.11.2

* Tue Jan 11 2011 blino <blino> 1.11.1-3.mga1
+ Revision: 5696
- remove old vesion checks and update comments
- imported package automake

